/*
 * $Id: FileUploadHandler.java,v 1.1 2003/03/26 21:51:19 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.examples.controller.handlers;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Enumeration;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.enhydra.barracuda.core.event.ControlEventContext;
import org.enhydra.barracuda.core.event.EventException;
import org.enhydra.barracuda.core.helper.servlet.HttpServletRequestWrapper;
import org.enhydra.barracuda.contrib.dbroggisch.page.Page;
import org.enhydra.barracuda.contrib.dbroggisch.page.PageEventListener;

import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.DBRApplicationGateway;
import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.servlets.MyMultipartRequest;
import org.enhydra.barracuda.contrib.dbroggisch.examples.view.pages.*;


public class FileUploadHandler extends PageEventListener {

    public void handleControlEvent(ControlEventContext context, Page p)
            throws EventException, ServletException, IOException {
        HttpServletRequest request = context.getRequest();
        List realNames = new ArrayList();
        FileUploadPage fuPage = (FileUploadPage)p;
        fuPage.setState(ExampleBasePage.FILEUPLOAD);

        if (DBRApplicationGateway.WRAPPER_INSTALLED && 
            ((HttpServletRequestWrapper)request).getCoreRequest() instanceof MyMultipartRequest) {
            MyMultipartRequest mReq = (MyMultipartRequest)((HttpServletRequestWrapper)request).getCoreRequest();
            Enumeration fnames = mReq.getFileNames();

            while(fnames.hasMoreElements()) {
                realNames.add(mReq.getFilesystemName((String)fnames.nextElement()));
            }
        }
        fuPage.setNames(realNames);
        context.getEvent().setHandled(true);
    }

}
