/*
 * $Id: NavigationBarHandler.java,v 1.1 2003/03/26 21:51:19 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.examples.controller.handlers;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import org.enhydra.barracuda.core.comp.BLink;
import org.enhydra.barracuda.core.event.ControlEventContext;
import org.enhydra.barracuda.core.event.EventException;
import org.enhydra.barracuda.contrib.dbroggisch.page.Page;
import org.enhydra.barracuda.contrib.dbroggisch.page.PageEventListener;

import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.events.*;
import org.enhydra.barracuda.contrib.dbroggisch.examples.view.pages.*;


public class NavigationBarHandler extends PageEventListener {

    public void handleControlEvent(ControlEventContext context, Page p)
            throws EventException, ServletException, IOException {
        ExampleBasePage basePage = (ExampleBasePage)p;
        List menupoints = new ArrayList(3);
        BLink bl = null;
        ExampleBasePage.State state = basePage.getState();
        
        if (state == ExampleBasePage.REPOPULATION) {
            bl = new BLink("*Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("PrefixMapping", new PrefixMapping());
            menupoints.add(bl);

        }
        if (state == ExampleBasePage.PREFIXMAPPING) {
            bl = new BLink("Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("*PrefixMapping", new PrefixMapping());
            menupoints.add(bl);
            
        }
        if (state == ExampleBasePage.FILEUPLOAD) {
            bl = new BLink("Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("*FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("PrefixMapping", new PrefixMapping());
            menupoints.add(bl);
            
        }
        basePage.setMenuPoints(menupoints);
    }

}
