/**
 * $Id: DataObjectNewHandler.java,v 1.1 2003/02/18 02:15:32 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.sam.data;

import javax.servlet.http.*;

import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.contrib.sam.xmlform.*;
import org.enhydra.barracuda.contrib.sam.models.*;
import org.apache.log4j.*;

public abstract class DataObjectNewHandler extends DefaultBaseEventListener implements GetConfig {
    
    protected static Logger logger = Logger.getLogger(DataObjectNewHandler.class.getName());
    
    public abstract Config getConfig();
    protected Config config;
    
    public void handleControlEvent(ControlEventContext context) throws EventException, javax.servlet.ServletException, java.io.IOException {
        BaseEvent event = context.getEvent();
        HttpServletRequest request = context.getRequest();
        HttpSession session = request.getSession();
        logger.info("new Dataobject");
        config = getConfig();
        XmlFormMap xfm = new XmlFormMap(context, config.getXmlFormName(), config.getFormName(), null);
        context.putState(config.getMapName(), xfm);
        ErrorModel.remove(context);
    }
}

