/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HttpOutputWriter.java,v 1.2 2003/01/21 05:43:02 jacobk Exp $
 */
package org.enhydra.barracuda.plankton.http;

import java.io.OutputStream;
import java.io.IOException;

/**
 * This interfaces defines the necessaries to write the output
 * to the URL (When POSTING)
 */
public interface HttpOutputWriter {
    public void writeOutput (OutputStream outputStream) throws IOException;
}
