/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id: A_Classes.java,v 1.1 2003/06/10 03:12:03 christianc Exp $
 */
package org.enhydra.barracuda.core.event;

/**
 * The purpose of this class is to define the default classes which are used
 * within the Barracuda event package. If you would like to override them, you 
 * can easily do so using the OBjectRepositoryAssembler.
 */
public class A_Classes {
    public static String DEFAULT_EVENT_GATEWAY = DefaultEventGateway.class.getName();
    public static String DEFAULT_EVENT_POOL = DefaultEventPool.class.getName();
    
}
