package org.enhydra.barracuda.tutorials.comp;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.w3c.dom.*;
import org.enhydra.xml.xmlc.*;

import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.core.util.dom.*;
import org.enhydra.barracuda.tutorials.xmlc.*;

/**
 * Here's an example of HelloWorld using the BTemplate
 * component
 */
public class HelloWorld2bHeader {

    public static Node getNode(ViewContext vc) {
        return getNode(vc.getElementFactory().getDocument());
    }
    
    public static Node getNode(Document doc) {
//        XMLCFactory xmlcFactory = new XMLCStdFactory(doc.getClass().getClassLoader(), new StreamXMLCLogger());
//        Node footerNode = xmlcFactory.create(HelloWorld2b_headerHTML.class).getElementById("Footer");
        Document footer = null;
        //load the localized DOM template
        try {footer = DefaultDOMLoader.getGlobalInstance().getDOM(HelloWorld2b_headerHTML.class);}
        catch (IOException ioe) {/*logger.fatal ("Fatal Error loading DOM template:", ioe);*/}
        Node footerNode = ((HelloWorld2b_headerHTML)footer).getElementFooter();
        return doc.importNode(footerNode, true);
    }
}
